Subject: [bug#59078] [PATCH] lint: Split the derivation lint checker by system.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 31 Jan 2023 17:33:24 +0100

Hi,

Simon Tournier <[email-masked]> skribis:

> On mar., 15 nov. 2022 at 10:03, zimoun <[email-masked]> wrote:
>> On Mon, 14 Nov 2022 at 13:51, Ludovic Courtès <[email-masked]> wrote:
>>
>>> I meant that it’s important to have a single ‘derivation’ checker that
>>> checks derivations for all the supported systems.  Packagers should be
>>> able to run ‘guix lint -c derivation PKG’ and be confident that it’s
>>> fine for all systems.
>>
>> The CLI invokation is unrelated to the invoked checkers, no?  As Chris
>> is proposing, it seems being worth to group some checkers.  For
>> instance, we already have the option ’-n, --no-network’ which does that
>> but probably at the wrong level.
>>
>> Maybe we could have another command line option,
>>
>>     guix lint --group=no-network
>>     guix lint --group=derivation
>>     guix lint --group=no-network,derivation
>
> What about this?

In general, being able to tell which category a checker belongs to, and
then being able to select checkers by categories sounds like a useful
improvement to me.

I don’t think it solves the problem Christopher initially reported
though (about memory consumption of the ‘derivation’ checker.)

Ludo’.